cmake_minimum_required(VERSION 3.8)
project(win_ubuntu_bridge)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

# 安装 launch 文件
install(DIRECTORY launch/
  DESTINATION share/${PROJECT_NAME}/launch
)

# 安装文档（可选）
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/docs")
  install(DIRECTORY docs/
    DESTINATION share/${PROJECT_NAME}/docs
  )
endif()

# 安装 proto 归档（可选）
if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/proto")
  install(DIRECTORY proto/
    DESTINATION share/${PROJECT_NAME}/proto
  )
endif()


ament_package()